== changelog ==

= 1.6.2 =
* Sites: Prevent PHP notice when Sites can't be reached

= 1.6.1 =
* Blog: Fix infinite scroll masonry issues in Firefox
* General: Improve smooth scroll script
* Import/Export: Show modules to export if defined in wp-config.php
* Sites: Prevent PHP warnings if no Sites are found
* Sites: Add generate_disable_site_library filter to disable Site Library
* Sites: Improve page builder filter display
* Sites: Prevent duplicate site display after details button in preview clicked
* WooCommerce: Add missing icons if Font Awesome is turned off

= 1.6 =
* New: Sites module
* Translations: Merge all translations into gp-premium text domain
* General: Add smooth scroll option
* General: Move batch processing files into library
* General: Add GPP icon set
* General: WPCS and PHPCS improvements
* Blog: Fix PHP 7.2 warning
* Blog: Fix Safari infinite scroll issues with srcset
* Blog: Refresh masonry on infinite scroll append
* Blog: Remove infinite scroll on 404 and no results pages
* Blog: Fix Yoast SEO breaking columns with certain settings
* Blog: Re-layout masonry on load
* Colors: Add slideout navigation color options
* Colors: Merge navigation + sub-navigation options into one section
* Import/Export: One click export and import
* Menu Plus: Re-build slideout navigation to use vanilla JS
* Menu Plus: Add slideout navigation widget area
* Menu Plus: Add close icon to slideout navigation
* Menu Plus: Set sticky nav ID on refresh if stuck
* Menu Plus: Allow WPML to modify Page Header select metabox
* Menu Plus: Re-build mobile header using flexbox
* Menu Plus: Use CSS for slideout navigation icon
* Menu Plus: Fix sticky navigation slide down in Safari
* Menu Plus: Add workaround for iOS sticky nav search issue
* Page Header: Improve Page Header metabox UI on smaller screens
* Page Header: Use author display name in template tag
* Page Header: Add generate_page_header_id filter
* Page Header: Fix vertical center issues in IE11
* Page Header: Remove flexibility.js for IE8 support
* Page Header: Fix GiveWP compatibility
* Secondary Navigation: Re-build CSS
* Sections: Disable Gutenberg if Sections are activated
* Sections: Add generate_sections_gutenberg_compatible filter
* Spacing: Fix one container widget padding preview in Customizer
* Typography: Add Slideout Navigation typography options
* WooCommerce: Clear up-sells when directly after entry content
* WooCommerce: Fix placeholder text cut off in Firefox
* WooCommerce: Use GPP icon set for cart menu item
* WooCommerce: Load .js in the footer
* Update Background Process library
* Clean up code license key activation code
* Remove verify.php
* Prevent PHP notice when saving empty license
* Add beta testing checkbox to license key area

= 1.5.6 =
* Backgrounds: Make position control description translatable
* Blog: Fix disabled page featured images if post featured images are disabled
* Blog: Let WP handle featured image alt attributes
* Colors: Fix text domain
* Colors: Improve inconsistent live preview behavior
* Menu Plus: Prep desktop only slideout icon for GP 2.0
* Page Header: Allow unfiltered HTML in content if user is allowed
* Page Header: Only load CSS file if content is added
* Typography: Fix h5 font size not appearing in GP 2.0

= 1.5.5 =
* Blog: Fix broken images while using Infinite Scroll in Safari
* Typography: Fix first variant not appearing when you select a font
* Typography: Fix select issues when plugins load old versions of the select2 library

= 1.5.4 =
* Sections: Fix Visual/Text tab in WP 4.9
* Sections: Fix Content/Settings tab in WP 4.9

= 1.5.3 =
* Blog: Fix masonry filter not working on custom post type archives
* Blog: Fix resized featured images when page header resizer is enabled
* Blog: Fix broken Customizer toggles in Safari
* Page Header: Fix PHP notice when saving posts
* Fix/add various gettext values

= 1.5.2 =
* Backgrounds: Fix issue with saving background image options

= 1.5.1 =
* Blog: Make infinite scroll container selector more specific
* Page Header: Fix background video when container is contained
* Page Header: Remove featured image on attachment pages

= 1.5 =
* Backgrounds: Rebuild Customizer control
* Blog: Move Blog panel into the Layout panel
* Blog: Migrate options from select dropdowns to checkboxes where applicable
* Blog: Merge masonry + column options into one area
* Blog: Add new post meta visibility options for single posts
* Blog: Replace old image resizer (aq_resize) with Image Processing Queue (reload your site once or twice to build new images)
* Blog: Add single post featured image options
* Blog: Add page featured image options
* Blog: Remove masonry meta box
* Blog: Add option to remove padding around centered featured images
* Blog: Add option to turn read more link into button
* Blog: Add option to turn on infinite scroll regardless of layout
* Blog: Use infinite scroll with or without a load more button
* Blog: Make read more links better for accessibility
* Blog: Migrate single post page header position option to single featured image location option
* Blog: Remove ellipses if excerpt is set to 0
* Blog: Change style.css handle to include generate prefix
* Blog: Remove unnecessary IE8 support
* Blog: Add alt attribute to featured images
* Blog: Fix pagination spacing when One Container is set
* Blog: Fix column/masonry spacing at 768px
* Colors: Add select input live preview settings
* Colors: Fix button labels
* Copyright: Move Copyright section into Layout panel
* Menu Plus: Fix mobile menu logo bug when navigation is set to float right
* Menu Plus: Fix no transition sticky navigation bug while on mobile
* Page Header: Replace old image resizer (aq_resize) with Image Processing Queue (reload your site once or twice to build new images)
* Page Header: Don't use global page header locations if not published
* Page Header: Sanitize page header content when saved to database
* Page Header: Make sure Elementor sections are accessible when page header is merged
* Page Header: Prepare transparent color picker for WP 4.9 changes
* Page Header: Fix background video in Safari 11
* Page Header: Add global locations for taxonomies
* Page Header: Add {{custom_field.description}} template tag to taxonomies (categories etc..)
* Page Header: Add ID to page header element
* Page Header: Fix individual taxonomy page header control not appearing on Toolset created taxonomies
* Page Header: Ensure jQuery Vide (video background) script only loads when needed
* Page Header: Fix custom images not displaying
* Page Header: Fix image link option not working
* Typography: Lay groundwork for H6 options
* Typography: Space out heading typography options
* Typography: Add System Stack option
* Typography: Fix Google Font variant control in WP 4.9
* Sections: Show Envira button
* Sections: Show Gridable button
* Sections: Prepare transparent color picker for WP 4.9 changes
* WooCommerce: Add filter to cart menu item location
* WooCommerce: Better activation compatibility with multi-site
* WooCommerce: Use wc_get_cart_url() for menu item
* German translations updated (Thanks, Daniel!)

= 1.4.3 =
* Page Header: Pass args to post_thumbnail_html filter
* Page Header: Allow custom field template tags on pages
* Page Header: Re-add generate_page_header_video_loop filter
* Page Header: Add generate_page_header_video_muted filter
* Page Header: Remove taxonomy title if page header has title
* WooCommerce: Improve disabled WC button styling

= 1.4.2 =
* Page Header: Improve inner container
* Page Header: Allow contained page header even when position:absolute is set
* Page Header: Apply page header text color to headings in page header
* WooCommerce: Fix mobile columns issue

= 1.4.1 =
* Page Header: Fix error in Customizer when using PHP version < 5.5

= 1.4 =
* Colors: Add back to top button color options
* Colors: Add h4-h5 color options
* Colors: Move button color options into own Buttons section
* Hooks: Show PHP execution message to admins only
* Menu Plus: Improve disabling of native mobile menu when slide-out is set
* Menu Plus: Fix sticky mobile menu when navigation is in sidebar
* Menu Plus: Fix invisible navigation when slide sticky is shown/hidden quickly
* Page Header: Complete code re-write
* Page Header: Turn Page Headers into a custom post type (CPT)
* Page Header: Can be applied per page, or globally (pages, posts, categories, CPTs etc..)
* Page Header: Template tags can be used in Page Header content (page title, author, date)
* Page Header: Turn bg color options in RGBA picker
* Page Header: New use bg color as image overlay option
* Page Header: Re-write parallax feature
* Page Header: Migrate Blog Page Header in Customizer into a CPT post on update
* Page Header: Add "Inner Container" width option.
* Page Header: Add menu background color (instead of forcing transparent)
* Page Header: Show content options all the time
* Page Header: Force full width page header if merge is set
* Page Header: Use set default color palettes in color pickers
* Page Header: New left/right padding option
* Sections: Make background color rgba color picker
* Sections: Add background color overlay options
* Sections: Use set default color palettes in color pickers
* Sections: Fix dropdown z-index bug introduced in WP 4.8.1
* Typography: Add H1-H3 line-height options
* Typography: Add H4-H5 typography options
* Typography: Add footer/copyright area typography options
* Typography: Add button typography options
* Typography: Rename Content Customizer section to Headings
* Typography: Add widget title separating space option
* Typography: Make fonts in Customizer search-able
* Typography: Allow Google Font variants to be added/removed
* WooCommerce: Fix columns issue on some pages
* WooCommerce: Fix mobile columns when using shortcode
* WooCommerce: Fix extra spacing in empty cart menu item
* WooCommerce: Show Cart text if no icon
* WooCommerce: Make cart menu item filterable
* WooCommerce: Fix sales badge height in IE11

= 1.3.1 =
* Hooks: Add notice to disable PHP execution if DISALLOW_FILE_EDIT is defined
* Menu Plus: Fix RTL spacing in slide-out menu
* Menu Plus: Fix bug where sticky nav was interfering with mobile header
* Menu Plus: Merge all sticky nav transitions into one script
* Menu Plus: Re-write fade and slide sticky navigation transitions
* Menu Plus: Add new option to hide sticky navigation while scrolling down
* WooCommerce: Add padding to terms on checkout
* WooCommerce: Make shop page options work when shop is set to category display
* WooCommerce: Style mark element
* WooCommerce: Remove border/padding from checkout fields
* WooCommerce: Remove color from my account arrows
* WooCommerce: Adjust ship to address padding
* WooCommerce: Fix ul elements when WC image is floating
* WooCommerce: Fix pagination clearing issue
* WooCommerce: Add pt_BR translation
* WooCommerce: Fix spacing issue with menu item cart icon and certain fonts
* Fix double forward slashes in some script calls inside Customizer
* Add WPML config file

= 1.3 =
* Backgrounds: Fix big with 100% auto sizing option
* Colors: Add WooCommerce add-on colors
* Import/Export: Add WooCommerce add-on
* Menu Plus: Improve Navigation Logo sizing
* Menu Plus: Re-write no transition sticky navigation
* Secondary Nav: Add padding to sides of top bar when merged
* Secondary Nav: Only load resources if the Secondary theme location is set
* Sections: Fix mix up of left/right content padding
* Spacing: New mobile menu item width/height options
* Spacing: New sticky menu item height option
* Spacing: New slide-out menu item height option
* Typography: New mobile menu item font size option
* WooCommerce: Introducing new WooCommerce add-on
* Move all Customizer controls and helper functions into globally accessible library
* Rebuilt range slider control to include responsive icons which display responsive controls
* Rebuilt typography control reducing number of controls from 50 to 10 (performance)
* Updated the automatic updater function
* Add filter to enable beta updates: generate_premium_beta_tester

= 1.2.96 =
* Blog: Fix option sanitizing for read more and masonry loading options
* Copyright: Fix option sanitizing for Customizer textarea
* Disable Elements: Fix PHP notice when saving post
* Menu Plus: Fix option sanitizing for mobile menu label option
* Page Header: Fix PHP notice when saving post
* Secondary Nav: Fix option sanitizing for mobile menu label option

= 1.2.95 =
* Add notice if GeneratePress theme isn't activated
* Add notice if GeneratePress theme update is available
* General code cleanup and optimization
* Backgrounds: Use new CSS class to write dynamic CSS
* Backgrounds: Deprecate Generate_Backgrounds_Customize_Misc_Control
* Backgrounds: Add options to the new top bar widget area
* Blog: Add generate_excerpt_more_output filter to read more link
* Blog: Add generate_content_more_link_output filter to read more link when more tag is added
* Blog: Remove ellipses from Read more link default
* Blog: Use the_title_attribute() where necessary
* Blog: Add generate_excerpt_length filter
* Colors: Add options for new top bar widget area
* Copyright: General code clean up
* Disable Elements: Add new Top Bar widget area to disable options
* Disable Elements: Change Post Image label to Featured Image
* Disable Elements: Completely remove header HTML if set to disable
* Disable Elements: Completely remove navigation HTML if set to disable
* Disable Elements: Completely remove footer HTML if set to disable
* Disable Elements: Add generate_metabox_capability filter to meta box
* Hooks: Update jQuery cookie library
* Hooks: Add new GENERATE_HOOKS_DISALLOW_PHP constant to allow users to disable PHP execution
* Import Export: Verify correct option names
* Menu Plus: Change Navigation Logo Position label to Navigation Logo Placement
* Menu Plus: Make sure sticky.js only enqueues if absolutely necessary
* Menu Plus: Move Sticky Navigation options into their own section
* Menu Plus: Move Slide-out Navigation options into their own section
* Menu Plus: Fix slight icon width change when toggling slide-out navigation
* Menu Plus: Close slide-out menu on item click
* Page Header: Fix top margin when full width header is below the header
* Page Header: Use the_title_attribute() where necessary
* Page Header: Change "Position" labels to "Location"
* Page Header: Add new generate_page_header_metabox_capability filter to meta box
* Page Header: Prevent undefined index notices
* Secondary Nav: Fix sub-navigation background, text and image variables
* Secondary Nav: Add unit to value if it exists allowing 0px values
* Secondary Nav: Move background image options into the Backgrounds add-on
* Secondary Nav: Move spacing options into the Spacing add-on
* Secondary Nav: Move typography options into the Typography add-on
* Secondary Nav: Move color options into the Colors add-on
* Secondary Nav: Add option to merge with new top bar widget area
* Secondary Nav: Fix dropdown menu arrow spacing in live preview
* Secondary Nav: Use custom color palettes
* Sections: Improve CSS output
* Sections: Remove sections-no-sidebars class if Sections aren't activated
* Spacing: Improve mobile/non-mobile live previews in Customizer
* Spacing: Make sidebar width options range sliders
* Spacing: Add options for new top bar widget area
* Spacing: Add ability to link all 4 spacing controls together
* Spacing: Add all 4 sides to mobile content padding
* Spacing: Fix Customizer experience when switching between one container and separate containers
* Typography: Improve mobile/non-mobile live previews in Customizer
* Typography: Add options for new top bar widget area
* Typography: Update list of available fonts
* pt_PT translations added - thank you Pedro!

= 1.2.94 =
* Menu Plus: Fix contained sticky menu with no transition + floating bug

= 1.2.93 =
* Backgrounds: Fix 100% width option
* Blog: Change Post Image label to Featured Image
* Blog: Fully remove featured image if it's set to hide
* Colors: Add transparency slider to all background elements
* Colors: Remove defaults and dynamic CSS functions - the GP theme handles this
* Colors: Add new generate_default_color_palettes filter to set up default color palettes
* Copyright: Use new copyright filter if possible
* Disabe Elements: Hide mobile header if navigation is disabled
* Menu Plus: Remove classie.js
* Menu Plus: Add .navigation-stick class to all sticky menu transitions
* Menu Plus: Prevent slide-out navigation jump on desktop
* Menu Plus: Change Sticky Effect label to Sticky Transition
* Menu Plus: Clean up dynamic CSS
* Menu Plus: Add .navigation-logo class to the navigation logo
* Menu Plus: Rebuild and simplify navigation logo CSS
* Menu Plus: Add live preview to navigation logo height
* Menu Plus: Add new generate_navigation_logo to the Navigation Logo URL
* Menu Plus: Fix mixing up of slide-out and search icon when sticky and floating left/right
* Page Header: Add parallax speed filter - generate_page_header_parallax_speed
* Page Header: Make sure wp.media javascript object exist to avoid potential JS errors
* Page Header: Make parallax work when page header is set to contained width
* Page Header: Add generate_metabox_capability to Page Header meta box
* Page Header: Add new option to overwrite Navigation Logo per page
* Page Header: Fix full screen page header height when content is longer than the screen
* Secondary Nav: Change Navigation Position to Navigation Location
* Secondary Nav: Add defaults to the style.css and only add dynamic CSS if needed
* Secondary Nav: Improve mobile menu CSS
* Sections: Add new Section ID field
* Spacing: Fix instant preview for masonry and columns
* Spacing: Add size slider to the separator options
* Spacing: Add mobile content padding option
* Spacing: Improve live previewing performance in the Customizer
* Spacing: Remove defaults and dynamic CSS functions - the GP theme handles this
* Spacing: Set left and right footer widget area padding if it's set to 0
* Spacing: Clean up sidebar width code
* Spacing: Change range slider style to fit core WP style
* Typography: Move mobile font size options into their respective sections
* Typography: Remove defaults and dynamic CSS functions - the GP theme handles this
* Typography: Change generate_display_google_fonts() function to generate_enqueue_google_fonts()
* Typography: Change range slider style to fit core WP style
* Change license key field from text to password
* Czech translation updated
* German translation updated
* Brazilian translation added
* Italian translated updated

= 1.2.92 =
* Blog: Fix category title and load more alignment while using masonry
* Blog: Fix masonry spacing on mobile
* Blog: Simplify masonry spacing
* Blog: Simplify columns spacing
* Menu Plus: Fix alignment jump when browser is zoomed in and resized down to 768px
* Menu Plus: Add generate_logo_title filter to sticky logo and mobile header logo
* Menu Plus: Add spacing to the menu logo when the inner navigation is set to full width
* Menu Plus: Fix navigation search issue with no transition sticky menu
* Menu Plus: Don't float mobile header navigation if no logo is set
* Typography: Adjust typography name sanitization function name to avoid errors with old GP versions
* Typography: Remove parameter from generate_display_google_fonts to avoid warning with child theme generators
* Typography: Add body line height option
* Typography: Add paragraph margin option
* Typography: Reduce copyright/footer font size default to 14px
* Typography: Add reset button to all size sliders
* Secondary Nav: Remove CSS which stops floating navigation at 1024px
* Secondary Nav: Fix jump when removing navigation in the Customizer
* Secondary Nav: New option: Inner navigation width
* Secondary Nav: Add reset button to font size slider
* Secondary Nav: Allow transitions on menu items
* Sections: Fix bug where error would happen if the user isn't using at least WordPress 4.5
* Sections: Remove GP theme grid dependency in admin
* Sections: Allow oembed in section content
* Sections: Use jQuery.on() instead of delegate()
* Sections: Remove unnecessary files
* Spacing: Prevent warning caused by wrong version constant
* Page Header: New filter: generate_get_blog_page_header - makes it possible to set the blog page header under different conditions
* Page Header: Improve full height page header functionality on mobile/orientation change
* Page Header: Remove fixed background attachment from parallax background image to help preserve image ratio
* Add prompt to add license key in Plugins area if it isn't activated and updates are available
* Move all language files into the /langs/ folder
* Reduce length of some text domains to avoid updating issue with some servers
* Chinese translations added - thanks Alfred!
* Portuguese translation added - thanks Alvaro!
* Russian translations updated - thanks Alex!
* German translations updated - thanks Daniel!

= 1.2.91 =
* Menu Plus: Fix bug where navigation logo wasn't displaying when effect is set to None
* Menu Plus: Fix bug where mobile header javascript was showing up when it shouldn't
* Sections: Add Shortcodes Ultimate compatibility
* Page Header: Fix Italian translation
* Page Header: Only show metabox on public post types
* Page Header: Fully re-design metabox
* Page Header: Add padding unit option (px or %)
* Blog: Make excerpt length value update immediately in Customizer
* Blog: Improve masonry functionality
* Russian translations updated - massive thanks to Alexey!

= 1.2.90 =
* Prevent direct access to all files
* All Czech translations updated (thanks Ondrej!)
* Copyright: Improve Customizer experience
* Sections: Completely re-designed and re-built Sections
* Sections: Section content is now saved into your default editor on update/save.
	- This prevents theme-lock, meaning your content will still exist even if you remove Sections.
* Sections: Send to default editor button removed as the before removes the need for it
* Sections: Add bottom & top padding unit option (px or %)
* Page Header: Add generate_page_header_video_loop filter to disable looping of the page header video
* Page Header: Add option to remove the page header from single posts
* Page Header: Make number only inputs only accepts numbers
* Page Header: Force page header above the content if merged option is set
* Page Header: Disable automatic check for background video posters if no image is set
* Page Header: Use featured image as background image if no page header image is set
* Spacing: Remove duplicate menu item height CSS
* Spacing: Make inputs number only
* Spacing: All options are now instant preview
* Blog: Make post image sizes and excerpt length inputs number only
* Blog: Force full width masonry items on mobile
* Blog: Show Blog panel even when we're not viewing the blog in the Customizer
* Menu Plus: Reduce space between menu toggle and search icon on mobile with menu logo enabled
* Menu Plus: Show navigation logo option and navigation logo position option even if sticky navigation isn't enabled
* Menu Plus: Optimize javascript and put it all in files instead of in wp_footer
* Menu Plus: Allow navigation logo to show in sidebar navigation causing a sidebar logo effect
* Menu Plus: Float mobile header to the right on RTL installations
* Typography: Add new filter: generate_typography_variants
* Typography: Make font size, weight and decoration instant preview
* Typography: Only show top 200 popular Google Fonts in Customizer (increases Customizer performance)
* Typography: generate_number_of_fonts filter added so you can choose how many fonts to include in the Customizer list
* Typography: Remove 2 database queries
* Typography: Add Segoe UI font to default list
* Typography: Revamp how Google fonts get their category and variants (increase front end performance)
* Colors: Make all colors instant preview
* Secondary Navigation: Colors are now instant preview
* Secondary Navigation: Typography font weight, transform and size are now instant preview
* Secondary Navigation: Layout options are now instant preview
* Hooks: Disable spell check in hook textareas
* Hooks: Fix floating box issue on RTL installations
* Backgrounds: Use default WordPress image uploader customizer control
* Customizer: All Customizer controls are now rendered in javascript/json - big +1 for performance

= 1.2.89 =
* Fix translations
* GP Hooks: Add new filter: generate_hooks_capability - change the capability for users who can edit hooks
* Disable Elements: Remove metabox from attachment post type
* Page Header: Fix issue where merged header navigation colors weren't working
* Page Header: Remove metabox from the attachment post type
* Menu Plus: Fix sticky menu not unsticking if it's the very top element

= 1.2.88 =
* GP Premium: Cut down unnecessary folders to prevent update failures on some servers
* Page Header: Add a new option in Advanced Settings: Place content behind header (sliders etc..)
* Page Header: Fix header and navigation alignment in vertical centered page header when contained
* Sections: Rename template file to shorter name
* Typography: Rename control file to shorter name
* Copyright: Fix/improve live preview of copyright in the Customizer
* Blog: Show the read more label setting for both excerpt and full content settings
* Menu Plus: Fix sticky menu stopping at the bottom of the Page Header
* Menu Plus: Improve sticky menu experience
* Menu Plus: Float sticky menu logo right when navigation is set to float left
* Secondary Navigation: Adjust z-index

= 1.2.87 =
* Increase database sanitization/escaping and harden security throughout all add-ons
* Backgrounds: Place options into sections inside Background Images panel
* Blog: Add new filter to set the column count: generate_blog_get_column_count
* Blog: Add title tag to read more link
* Secondary Navigation: Fix spacing issue with dropdown menu arrow
* Secondary Navigation: Remove Secondary Navigation panel
* Secondary Navigation: Move sections into their applicable panels
* Secondary Navigation: Add RTL language support
* Spacing: Place options into sections inside Spacing panel
* Spacing: Add RTL support
* Copyright: Move copyright textarea into the Customizer
* Copyright: Swedish translation added - thanks Jamal!
* Page Header: Fix logo setting to work with new WordPress 4.5 custom_logo feature
* Page Header: Vastly improved merged header option
* Page Header: Move Blog Page Header panel into the Blog panel
* Sections: Fix bug where first paragraph wasn't being correct wrapped in <p> tag
* Menu Plus: Move options into Layout panel

= 1.2.86 =
* Blog: Allow resizer to upscale images
* Page Header: Allow resizer to upscale images
* Sections: Fix issue with images enlarging in Sections

= 1.2.85 =
* Blog: Fix cropping when Photon is being used
* Page Header: Fix cropping when Photon is being used

= 1.2.84 =
* Blog: Fix bug where two columns appear briefly at 768px width
* Blog: Change image resizer to more lightweight option
* Blog: Fix uneven spacing at the bottom of blog posts in columns
* Sections: Apply the_content filter once to the whole sections page to avoid multiple sharing icons being added by plugins etc..
* Page Header: Change image resizer to more lightweight option
* Page Header: Add apply image sizes button to the Blog Page Header crop options
* Translations: Czech translations updated - thanks Ondrej!
* Translations: Polish translations updated - thanks Krzysztof!

= 1.2.83 =
* Blog: Fix bug where full width post wasn't displaying in columns
* Blog: Add a check for the blog content customizer control in the theme to prevent warning
* Blog: Add button to apply post image sizes in the Customizer to prevent unnecessary images being created

= 1.2.82 =
* Blog: Improve masonry width logic
* Blog: Improve proportional image resizing
* Blog: Switch to a better image resizer
* Spacing: Add spacing for dropdown menu toggle and mobile items in the navigation
* Colors: Fix text-domain for "Colors" panel to allow it to be translated
* Colors: Add focus style to buttons
* Sections: Replace the_content filter with Sections specific filter to avoid plugins adding icons and other content into each section
* Page Header: Add background image as the video placeholder if it can't be loaded (mobile devices etc..)
* Page Header: Switch to a better image resizer
* Typography: Adjust label size in Typography sections in Customizer for longer translations
* Polish translations added - thanks, Paul!

= 1.2.81 =
* Page Header: Fix javascript bug in Safari

= 1.2.80 =
* Page Header: Fix iOS bug with parallax background image
* Page Header: Move "Appearance > Blog Page Header" to "Customize > Page Header > Blog"
* Page Header: Adjust proportional resizing
* Page Header: Add generate_page_header_featured_image filter to force usage of the featured image over the custom field
* Page Header: Add option to merge site header and page header with a transparent navigation
* Page Header: Add option to include a video background in your page header
* Page Header: Add option to replace your logo/header on individual pages/posts
* Page Header: Improve metabox saving to prevent empty values in the database
* Page Header: Minify parallax JS
* Typography: Add input fields to font sizes to manually adjust them without slider
* Typography: Adjust separators in Customizer
* Typography: Add mobile font sizes for the main title, H1 and H2
* Menu Plus: Adjust navigation width with container width in Customizer
* Menu Plus: Fix sticky navigation spacer width
* Menu Plus: Navigation float right aligns sticky menu items to the right
* Menu Plus: Add new dropdown arrows to slideout menu
* Menu Plus: New Feature: Mobile Header
* Menu Plus: Separate options into panels
* Menu Plus: Close slideout menu with escape key
* Secondary Nav: Fix separator spacing below secondary navigation in the widget area
* Secondary Nav: Add support for navigation click dropdown
* Secondary Nav: Minify CSS and JS
* Blog: Fix category/author page header when columns are set
* Blog: Remove generate_blog_activate_masonry function and bundle it in with generate_blog_get_masonry function
* Blog: Turn off masonry if we're on WooCommerce search results
* Blog: Turn off columns if we're on WooCommerce search results
* Blog: Minify CSS and JS
* Colors: Add focus styles to navigation
* Backgrounds: Add separators in Customizer
* Backgrounds: Fix doubling up background images in the content when One Container is set
* Spacing: Add separators in Customizer
* Sections: Improve editor handling when visual editor is turned off
* Sections: Use excerpt metabox on archives/blog if Sections is in use in single post
* Sections: Fix bug where archives/blog loses layout if most recent post is using Sections
* Sections: Minify CSS and JS
* Disable Elements: Improve metabox saving to prevent empty values in the database
* Italian translations added for all add-ons - thank you Roberto!
* German translations updated for all add-ons - thank you Daniel!

== Changelog archives ==
* See more at https://generatepress.com/category/development/
